package com.ruoyi.ehsMyMessage.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.ehsMyMessage.domain.EhsMyMessage;

/**
 * 我的的消息Service接口
 *
 * @author ruoyi
 * @date 2024-01-16
 */
public interface IEhsMyMessageService extends IService<EhsMyMessage> {

	/**
	 * 查询我的的消息
	 *
	 * @param myMessageId 我的的消息主键
	 * @return 我的的消息
	 */
	public EhsMyMessage selectEhsMyMessageByMyMessageId(Long myMessageId);

	/**
	 * 查询我的的消息列表
	 *
	 * @param ehsMyMessage 我的的消息
	 * @return 我的的消息集合
	 */
	public List<EhsMyMessage> selectEhsMyMessageList(EhsMyMessage ehsMyMessage);
	public EhsMyMessage selectEhsMyMessageByMyMessageMax(EhsMyMessage ehsMyMessage);
	public Long msgCount(EhsMyMessage query);
	public List<EhsMyMessage> selectUnReadNotice(EhsMyMessage ehsMyMessage);
	public boolean  saveMyMessage(EhsMyMessage msgNew);
	public int updatebyKeyUserId(EhsMyMessage ehsMyMessage);
	public int updateHDbyKeyUserId(EhsMyMessage ehsMyMessage);
}
